import request from '@/utils/request'

// 查询转岗培训列表
export function listYsplandsdt(query) {
  return request({
    url: '/bccnew/ysplandsdt/listAll',
    method: 'get',
    params: query
  })
}

// 查询转岗培训详细
export function getYsplandsdt(id) {
  return request({
    url: '/bccnew/ysplandsdt/' + id,
    method: 'get'
  })
}

// 新增转岗培训
export function addYsplandsdt(data) {
  return request({
    url: '/bccnew/ysplandsdt',
    method: 'post',
    data: data
  })
}

// 修改转岗培训
export function updateYsplandsdt(data) {
  return request({
    url: '/bccnew/ysplandsdt',
    method: 'put',
    data: data
  })
}

// 修改转岗培训
export function updateYsLearnTime(data) {
  return request({
    url: '/bccnew/ysplandsdt/updateYsLearnTime',
    method: 'put',
    data: data
  })
}

// 删除转岗培训
export function delYsplandsdt(id) {
  return request({
    url: '/bccnew/ysplandsdt/' + id,
    method: 'delete'
  })
}

// 导出转岗培训
export function exportYsplandsdt(query) {
  return request({
    url: '/bccnew/ysplandsdt/export',
    method: 'get',
    params: query
  })
}
